> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.herramientas.lat/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.herramientas.lat/_mcp/server.

# Obtener QR

GET https://www.herramientas.lat/api/v1/qr/{id}

Reference: https://api.herramientas.lat/api-reference/herramientas-lat-api/qr/obtener-qr

## Authentication

- `Authorization` header (bearer token, required) — Creá keys en /cuenta/api con scopes qr:read y/o qr:write

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

OK

- `item` (object, optional)
  - `id` (string, optional)
  - `title` (string, optional)
  - `code` (string, optional)
  - `contentType` (enum, optional)
    - Allowed values: `url`, `wifi`, `vcard`, `whatsapp`, `text`, `email`
  - `payload` (string, optional)
  - `active` (boolean, optional)
  - `design` (object, optional) — Opciones visuales (mismas que el generador web).
    - `dotsStyle` (enum, optional)
      - Allowed values: `square`, `dots`, `rounded`, `extra-rounded`, `classy`, `classy-rounded`
    - `cornerSquare` (enum, optional)
      - Allowed values: `square`, `dot`, `extra-rounded`, `classy`, `classy-rounded`
    - `cornerDot` (enum, optional)
      - Allowed values: `square`, `dot`, `extra-rounded`, `classy`, `classy-rounded`
    - `isGradient` (boolean, optional)
    - `gradientType` (enum, optional)
      - Allowed values: `linear`, `radial`
    - `gradientRotation` (double, optional)
    - `color1` (string, optional)
    - `color2` (string, optional)
    - `bgColor` (string, optional)
    - `bgTransparent` (boolean, optional)
    - `customEyeColors` (boolean, optional)
    - `eyeColor` (string, optional)
    - `presetLogo` (string, optional)
    - `customLogoUrl` (string, optional, nullable) — Data URL de imagen o null
    - `logoSize` (double, optional)
    - `logoMargin` (double, optional)
    - `hideDotsBehindLogo` (boolean, optional)
    - `frameStyle` (enum, optional)
      - Allowed values: `none`, `bottom-banner`, `phone`, `badge`
    - `frameText` (string, optional)
    - `frameColor` (string, optional)
    - `frameTextColor` (string, optional)
    - `errorCorrectionLevel` (enum, optional)
      - Allowed values: `L`, `M`, `Q`, `H`
    - `resolution` (integer, optional)
  - `shortUrl` (string, optional)
  - `scanCount` (integer, optional)
  - `createdAt` (datetime, optional)
  - `updatedAt` (datetime, optional)

## Examples

**Response**

```json
{
  "item": {
    "id": "string",
    "title": "string",
    "code": "string",
    "contentType": "url",
    "payload": "string",
    "active": true,
    "design": {
      "dotsStyle": "square",
      "cornerSquare": "square",
      "cornerDot": "square",
      "isGradient": true,
      "gradientType": "linear",
      "gradientRotation": 1.1,
      "color1": "string",
      "color2": "string",
      "bgColor": "string",
      "bgTransparent": true,
      "customEyeColors": true,
      "eyeColor": "string",
      "presetLogo": "string",
      "customLogoUrl": "string",
      "logoSize": 0.3,
      "logoMargin": 1.1,
      "hideDotsBehindLogo": true,
      "frameStyle": "none",
      "frameText": "string",
      "frameColor": "string",
      "frameTextColor": "string",
      "errorCorrectionLevel": "L",
      "resolution": 1
    },
    "shortUrl": "string",
    "scanCount": 1,
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://www.herramientas.lat/api/v1/qr/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://www.herramientas.lat/api/v1/qr/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.herramientas.lat/api/v1/qr/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.herramientas.lat/api/v1/qr/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.herramientas.lat/api/v1/qr/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.herramientas.lat/api/v1/qr/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.herramientas.lat/api/v1/qr/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.herramientas.lat/api/v1/qr/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```